メインコンテンツへスキップ
GET
/
v3
/
enterprise
/
code-scans
/
findings
コードスキャンの検出結果を一覧表示
curl --request GET \
  --url https://api.devin.ai/v3/enterprise/code-scans/findings \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "category": "<string>",
      "code_owners": [
        "<string>"
      ],
      "created_at": 123,
      "description": "<string>",
      "finding_id": "<string>",
      "note": "<string>",
      "orchestrator_session_id": "<string>",
      "pr_url": "<string>",
      "recommendation": "<string>",
      "reference_snippets": [
        {
          "commentary": "<string>",
          "end_line": 123,
          "file_path": "<string>",
          "start_line": 123,
          "code": "<string>"
        }
      ],
      "repo_name": "<string>",
      "scan_id": "<string>",
      "session_id": "<string>",
      "title": "<string>"
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

権限

Enterprise レベルの ViewAccountCodeScans 権限を持つサービスユーザーが必要です。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

クエリパラメータ

after
string | null
first
integer
デフォルト:100
必須範囲: 1 <= x <= 200
org_ids
string[] | null

これらの組織の検出結果に絞り込みます。

scan_id
string | null

このスキャンで生成された検出結果に絞り込みます。

repo_name
string | null

このリポジトリで報告された検出結果に絞り込みます。

severity
enum<string>[] | null

これらの重大度(critical、high、medium、low)のいずれかに該当する検出結果に絞り込みます。

利用可能なオプション:
critical,
high,
medium,
low
status
enum<string>[] | null

これらのステータス(open、dismissed、resolved)のいずれかに該当する検出結果に絞り込みます。

利用可能なオプション:
open,
dismissed,
resolved

レスポンス

成功レスポンス

items
CodeScanFindingResponse · object[]
必須
end_cursor
string | null

次のページを取得するためのカーソル。これが最後のページの場合は None。

has_next_page
boolean
デフォルト:false

このページの後に、さらに利用可能なアイテムがあるかどうか。

total
integer | null

任意の合計件数(パフォーマンスのため省略される場合があります)。